Home/Support/Support Forum/X-CTU can not update firmware

X-CTU can not update firmware

0 votes
[:((] When I open X-CTU and choose a com port ,then I want to get my modules' version ,so I press Test/Query,but it always give the information :Unable to communicate with modem.
I press dowload new version from the web ,but ,after about 15 minutes ,it give me a message box saying :"The operation timed out ", download failed .
I have try this for many times ,but it still dosen't work . Now ,my xbee module neither can read nor can write.I really want to solve this problem . can you help me ?
my module version is Xbee Pro S2B,XBEE24B
THANKS.
asked Aug 15, 2012 in XCTU by mantou New to the Community (3 points)

Please log in or register to answer this question.

14 Answers

0 votes
Hi
I have some errors in communication between XCTU and xbee pro module.
http://up.vatandownload.com/images/bb96y0t4yoeb4k7clr5x.png
http://up.vatandownload.com/images/6gie3dv0901ixhr5wy2g.png
http://up.vatandownload.com/images/pssxcng3cxredkf1tujn.png
http://up.vatandownload.com/images/k7ad1giq9rsj7mgl4ibb.png
Also the ATNI command dosent responce:
http://up.vatandownload.com/images/h6c26z9atxe25bstkhzp.png
How can I configure and upgrade them?!!!.
I use windows 7, so I download the “ftdi_WindowsVistaDrivers” file from digi.com and open it in “download new version” window, but see no changes.
Should I download “ftdi_WindowsVistaDrivers” when my xbee pro module is connected to pc or no?!!
May you help me what can I do?!!
answered Sep 18, 2012 by seraj_8008 New to the Community (4 points)
0 votes
Hi seraj8008,

Use the latest version of the X-CTU which is available at the following link, http://ftp1.digi.com/support/utilities/40003002_B.exe
answered Sep 21, 2012 by kavya Seasoned Professional (198 points)
0 votes
Hi, everybody! The problem described by mantou in fact only occurs on programmable XBee modules. It can be solved according to the following article: http://www.digi.com/support/kbase/kbaseresultdetl?id=3291.

Regards
answered Oct 1, 2012 by wisenut New to the Community (2 points)
0 votes
Download new XCTU version 6.3.0.
Tools -> XBee recovery
Choose your module version.
answered Apr 19, 2016 by Teng New to the Community (1 point)
...